summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJon Hood <squinky86@gentoo.org>2004-04-26 01:00:34 +0000
committerJon Hood <squinky86@gentoo.org>2004-04-26 01:00:34 +0000
commita9cccbb2d1d6e974bd8dcf3ba326e4c6264b563e (patch)
tree2688fb1a6293345280d2845ec26d172e879722c3 /eclass/ruby.eclass
parentAdd die following econf for bug 48950 (diff)
downloadhistorical-a9cccbb2d1d6e974bd8dcf3ba326e4c6264b563e.tar.gz
historical-a9cccbb2d1d6e974bd8dcf3ba326e4c6264b563e.tar.bz2
historical-a9cccbb2d1d6e974bd8dcf3ba326e4c6264b563e.zip
added "die" command in front of doins and cp lines
Diffstat (limited to 'eclass/ruby.eclass')
-rw-r--r--eclass/ruby.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/ruby.eclass b/eclass/ruby.eclass
index 24631b11e605..ebacdd07c3e9 100644
--- a/eclass/ruby.eclass
+++ b/eclass/ruby.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.30 2004/04/25 17:45:09 usata Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.31 2004/04/26 01:00:34 squinky86 Exp $
#
# Author: Mamoru KOMACHI <usata@gentoo.org>
#
@@ -127,7 +127,7 @@ ruby_einstall() {
else
siteruby=$(${RUBY} -r rbconfig -e 'print Config::CONFIG["sitedir"]')
insinto ${siteruby}
- doins *.rb || "doins failed"
+ doins *.rb || die "doins failed"
fi
}
@@ -147,7 +147,7 @@ erubydoc() {
fi
if [ -d sample ] ; then
dodir /usr/share/doc/${PF}
- cp -a sample ${D}/usr/share/doc/${PF} || "cp failed"
+ cp -a sample ${D}/usr/share/doc/${PF} || die "cp failed"
fi
for i in ChangeLog* [A-Z][A-Z]* ; do
[ -e $i ] && dodoc $i